### Signal

# SpiceClientGLib DisplayChannel::gl-draw

since: 0.31

#### Declaration

    void
    gl_draw (
      SpiceDisplayChannel* self,
      guint x,
      guint y,
      guint width,
      guint height,
      gpointer user_data
    )

#### Description [src]

The `SpiceDisplayChannel::gl-draw` signal is emitted when the rectangular region x/y/w/h of the GL scanout is updated and must be drawn. When the draw is finished, you must call `spice_display_gl_draw_done()` in order to release the GL resources.

Default handler:
Available since: 0.31

#### Parameters

`x`

  Type: `guint`

  X position.

`y`

  Type: `guint`

  Y position.

`width`

  Type: `guint`

  Width.

`height`

  Type: `guint`

  Height.